From: "Kristian Fiskerstrand" <k_f@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-crypt/pinentry/, app-crypt/pinentry/files/
Date: Tue, 29 Sep 2015 19:31:08 +0000 (UTC) [thread overview]
Message-ID: <1443554880.e1b3fca42c9882378320d3eb8538eb05f283ef05.k_f@gentoo> (raw)
commit: e1b3fca42c9882378320d3eb8538eb05f283ef05
Author: Kristian Fiskerstrand <k_f <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 29 19:25:20 2015 +0000
Commit: Kristian Fiskerstrand <k_f <AT> gentoo <DOT> org>
CommitDate: Tue Sep 29 19:28:00 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e1b3fca4
app-crypt/pinentry-0.9.6-r5: Add Qt5 support
Package-Manager: portage-2.2.20.1
...try-0.9.6-add-disable-pinentry-qt5-option.patch | 55 +++++++++
app-crypt/pinentry/pinentry-0.9.6-r5.ebuild | 123 +++++++++++++++++++++
2 files changed, 178 insertions(+)
diff --git a/app-crypt/pinentry/files/pinentry-0.9.6-add-disable-pinentry-qt5-option.patch b/app-crypt/pinentry/files/pinentry-0.9.6-add-disable-pinentry-qt5-option.patch
new file mode 100644
index 0000000..9522c2f
--- /dev/null
+++ b/app-crypt/pinentry/files/pinentry-0.9.6-add-disable-pinentry-qt5-option.patch
@@ -0,0 +1,55 @@
+From 08ec9556c8a384ea7bb5d42d3f6aab6c2f6a8786 Mon Sep 17 00:00:00 2001
+From: Andre Heinecke <aheinecke@intevation.de>
+Date: Fri, 25 Sep 2015 15:56:55 +0200
+Subject: [PATCH] Add option to disable looking for qt5
+
+* m4/qt.m4 (FIND_QT): Add --disable-pinentry-qt5 option to
+disable qt5 support even if it is available.
+
+--
+As requested by Kristan F.
+
+GnuPG-bug-id: 2105
+---
+ m4/qt.m4 | 23 ++++++++++++++++-------
+ 1 file changed, 16 insertions(+), 7 deletions(-)
+
+diff --git a/m4/qt.m4 b/m4/qt.m4
+index 0a7ea99..0e47ec6 100644
+--- a/m4/qt.m4
++++ b/m4/qt.m4
+@@ -28,15 +28,24 @@ dnl The moc lookup code is based on libpoppler (rev. d821207)
+
+ AC_DEFUN([FIND_QT],
+ [
+- PKG_CHECK_MODULES(PINENTRY_QT,
+- Qt5Core >= 5.0.0 Qt5Gui >= 5.0.0 Qt5Widgets >= 5.0.0,
+- [have_qt5_libs="yes"],
+- [have_qt5_libs="no"])
++ AC_ARG_ENABLE(pinentry-qt5,
++ AC_HELP_STRING([--disable-pinentry-qt5],
++ [Don't use qt5 even if it is available.]),
++ enable_pinentry_qt5=$enableval,
++ enable_pinentry_qt5="try")
+
+- if "$PKG_CONFIG" --variable qt_config Qt5Core | grep -q "reduce_relocations"; then
+- PINENTRY_QT_CFLAGS="$PINENTRY_QT_CFLAGS -fpic"
+- fi
++ have_qt5_libs="no";
++
++ if test "$enable_pinentry_qt5" != "no"; then
++ PKG_CHECK_MODULES(PINENTRY_QT,
++ Qt5Core >= 5.0.0 Qt5Gui >= 5.0.0 Qt5Widgets >= 5.0.0,
++ [have_qt5_libs="yes"],
++ [have_qt5_libs="no"])
+
++ if "$PKG_CONFIG" --variable qt_config Qt5Core | grep -q "reduce_relocations"; then
++ PINENTRY_QT_CFLAGS="$PINENTRY_QT_CFLAGS -fpic"
++ fi
++ fi
+ if test "$have_qt5_libs" = "yes"; then
+ AC_CHECK_TOOL(MOC, moc)
+ AC_MSG_CHECKING([moc version])
+--
+2.1.4
+
diff --git a/app-crypt/pinentry/pinentry-0.9.6-r5.ebuild b/app-crypt/pinentry/pinentry-0.9.6-r5.ebuild
new file mode 100644
index 0000000..6e10cf8
--- /dev/null
+++ b/app-crypt/pinentry/pinentry-0.9.6-r5.ebuild
@@ -0,0 +1,123 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit autotools qmake-utils multilib eutils flag-o-matic toolchain-funcs
+
+DESCRIPTION="Collection of simple PIN or passphrase entry dialogs which utilize the Assuan protocol"
+HOMEPAGE="http://gnupg.org/aegypten2/index.html"
+SRC_URI="mirror://gnupg/${PN}/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="emacs gtk ncurses qt4 qt5 caps gnome-keyring static"
+
+CDEPEND="
+ >=dev-libs/libgpg-error-1.17
+ >=dev-libs/libassuan-2
+ >=dev-libs/libgcrypt-1.6.3
+ ncurses? ( sys-libs/ncurses:0= )
+ gtk? ( x11-libs/gtk+:2 )
+ qt4? (
+ >=dev-qt/qtgui-4.4.1:4
+ )
+ qt5? (
+ dev-qt/qtgui:5
+ dev-qt/qtwidgets:5
+ )
+ caps? ( sys-libs/libcap )
+ static? ( >=sys-libs/ncurses-5.7-r5:0=[static-libs,-gpm] )
+ app-eselect/eselect-pinentry
+ gnome-keyring? ( app-crypt/libsecret )
+"
+
+DEPEND="${CDEPEND}
+ sys-devel/gettext
+ virtual/pkgconfig
+"
+
+RDEPEND="
+ ${CDEPEND}
+ gnome-keyring? ( app-crypt/gcr )
+"
+
+REQUIRED_USE="
+ || ( ncurses gtk qt4 )
+ gtk? ( !static )
+ qt4? ( !static )
+ qt5? ( !static )
+ static? ( ncurses )
+ ?? ( qt4 qt5 )
+"
+
+DOCS=( AUTHORS ChangeLog NEWS README THANKS TODO )
+
+src_prepare() {
+ epatch "${FILESDIR}/${PN}-0.8.2-ncurses.patch"
+ epatch "${FILESDIR}/${P}-add-disable-pinentry-qt5-option.patch"
+ eautoreconf
+}
+
+src_configure() {
+ local myconf=()
+ use static && append-ldflags -static
+ [[ "$(gcc-major-version)" -ge 5 ]] && append-cxxflags -std=gnu++11
+
+ QT_MOC=""
+ if use qt4; then
+ myconf+=( --enable-pinentry-qt
+ --disable-pinentry-qt5
+ )
+ QT_MOC="$(qt4_get_bindir)"/moc
+ # Issues finding qt on multilib systems
+ export QTLIB="$(qt4_get_libdir)"
+ elif use qt5; then
+ myconf+=( --enable-pinentry-qt )
+ QT_MOC="$(qt5_get_bindir)"/moc
+ export QTLIB="$(qt5_get_libdir)"
+ else
+ myconf+=( --disable-pinentry-qt )
+ fi
+
+ econf \
+ --enable-pinentry-tty \
+ $(use_enable emacs pinentry-emacs) \
+ $(use_enable gtk pinentry-gtk2) \
+ $(use_enable ncurses pinentry-curses) \
+ $(use_enable ncurses fallback-curses) \
+ $(use_with caps libcap) \
+ $(use_enable gnome-keyring libsecret) \
+ $(use_enable gnome-keyring pinentry-gnome3) \
+ "${myconf[@]}" \
+ MOC="${QT_MOC}"
+}
+
+src_install() {
+ default
+ rm -f "${ED}"/usr/bin/pinentry || die
+
+ if use_enable qt4 || use_enable qt5; then
+ dosym pinentry-qt /usr/bin/pinentry-qt4
+ fi
+}
+
+pkg_postinst() {
+ if ! has_version 'app-crypt/pinentry' || has_version '<app-crypt/pinentry-0.7.3'; then
+ elog "We no longer install pinentry-curses and pinentry-qt SUID root by default."
+ elog "Linux kernels >=2.6.9 support memory locking for unprivileged processes."
+ elog "The soft resource limit for memory locking specifies the limit an"
+ elog "unprivileged process may lock into memory. You can also use POSIX"
+ elog "capabilities to allow pinentry to lock memory. To do so activate the caps"
+ elog "USE flag and add the CAP_IPC_LOCK capability to the permitted set of"
+ elog "your users."
+ fi
+
+ eselect pinentry update ifunset
+}
+
+pkg_postrm() {
+ eselect pinentry update ifunset
+}
next reply other threads:[~2015-09-29 19:31 UTC|newest]
Thread overview: 11+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-09-29 19:31 Kristian Fiskerstrand [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-03-19 9:08 [gentoo-commits] repo/gentoo:master commit in: app-crypt/pinentry/, app-crypt/pinentry/files/ Sam James
2024-02-27 22:06 Sam James
2020-06-07 21:31 Andreas Sturmlechner
2018-03-21 19:35 Kristian Fiskerstrand
2017-12-21 14:59 Andreas Sturmlechner
2017-10-16 21:14 Kristian Fiskerstrand
2017-01-18 14:52 Alon Bar-Lev
2016-12-10 8:22 Alon Bar-Lev
2015-09-21 17:21 Kristian Fiskerstrand
2015-09-18 16:11 Kristian Fiskerstrand
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1443554880.e1b3fca42c9882378320d3eb8538eb05f283ef05.k_f@gentoo \
--to=k_f@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox